Altimax\Apidae\Core\Entity\SitraSalleReunion:
  type: entity
  table: sitra_salle_reunion
  indexes:
    objet_id:
      columns:
        - objet_id
  id:
    id:
      type: integer
      nullable: false
      unsigned: false
      comment: ''
      id: true
      generator:
        strategy: IDENTITY
  fields:
    nom:
      type: string
      nullable: true
      length: 255
      fixed: false
      comment: ''
    description:
      type: text
      nullable: true
      length: null
      fixed: false
      comment: 'à traduire'
    capaciteMax:
      type: integer
      nullable: true
      unsigned: false
      comment: ''
      column: capacite_max
    superficie:
      type: integer
      nullable: true
      unsigned: false
      comment: ''
    hauteur:
      type: float
      nullable: true
      precision: 10
      scale: 0
      comment: ''
    lumiereNaturelle:
      type: boolean
      nullable: true
      comment: ''
      column: lumiere_naturelle
    tarifSalleMin:
      type: float
      nullable: true
      precision: 10
      scale: 0
      comment: ''
      column: tarif_salle_min
    tarifSalleMax:
      type: float
      nullable: true
      precision: 10
      scale: 0
      comment: ''
      column: tarif_salle_max
    tarifJourneeMin:
      type: float
      nullable: true
      precision: 10
      scale: 0
      comment: ''
      column: tarif_journee_min
    tarifJourneeMax:
      type: float
      nullable: true
      precision: 10
      scale: 0
      comment: ''
      column: tarif_journee_max
    tarifResidentMin:
      type: float
      nullable: true
      precision: 10
      scale: 0
      comment: ''
      column: tarif_resident_min
    tarifResidentMax:
      type: float
      nullable: true
      precision: 10
      scale: 0
      comment: ''
      column: tarif_resident_max
    dispositions:
      type: text
      nullable: true
      length: null
      fixed: false
  manyToOne:
    objet:
      targetEntity: Altimax\Apidae\Core\Entity\SitraObjet
      cascade: [ "persist", "remove" ]
      mappedBy: null
      inversedBy: salleReunion
      joinColumns:
        objet_id:
          referencedColumnName: id
          onDelete: CASCADE
      orphanRemoval: false
  manyToMany:
    elementReference:
      targetEntity: Altimax\Apidae\Core\Entity\SitraElementReference
      cascade: {  }
      mappedBy: null
      inversedBy: salleReunion
      fetch: EXTRA_LAZY
      joinTable:
        name: sitra_disposition
        joinColumns:
          - name: salle_reunion_id
            referencedColumnName: id
        inverseJoinColumns:
          - name: element_reference_id
            referencedColumnName: id
      orderBy: null
  lifecycleCallbacks: {  }
